/* ==========================================================================
   Login Box styles
   ========================================================================== */
*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    outline: none !important;
}
a:hover,
a:focus,
a:active,
a.active,
button:hover,
button:focus,
button:active,
button.active{
    outline: none;
}

html{
    background-color: var(--primary-color);
}
body{
    /* background: transparent url(../img/jaime-dantas.jpg) repeat;
    background-attachment: fixed;
    background-size: cover;
    background-repeat: no-repeat;
    min-height:100%;  */
    background-color: var(--background-color);
    color: var(--text-color);
    font-family: SF-Pro-Text, Arial, Helvetica, sans-serif;
}

h1, h2, h3, h4, h5, h6{
    color: var(--primary-color);
}
a {
    color: var(--secondary-color) !important;
    text-decoration: none;
}

a:hover, a:active{
    transition: all 1s ease-out;
    -webkit-transition: all 1s ease-out;
    -moz-transition: all 1s ease-out;
    -ms-transition: all 1s ease-out;
    -o-transition: all 1s ease-out;
    color: var(--tertiary-color) !important;
    text-decoration: underline;
}
header{
    padding: 15px 0;
}
.alert{
    margin: 15px auto;
    width: 100%;
}
.alert h5{
    margin: 2px;
    color: var(--tertiary-color);
}

.login{
  overflow: auto;   
}

/* #login-block{	 
    padding-top: 100px;
    padding-bottom: 25px;
} */

.login-div{
    padding-top: 150px;
    padding-bottom: 50px;
}

.login-form{
    margin-left: auto;
    margin-right: auto;
    width: 80%;
}


.login-form .input-group{
    margin:0 auto 15px;
    width:100%; 
}

/* Login Form */
.form-control{
    height: 40px;
}
.login-form input{
    /* background: #d6d6d6;
    border:1px solid #bfbfbf; 
    color:#6c6c6c; */
    background-color: var(--background-color);
    color: var(--text-color);
    outline: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.login-form input:focus {
    /* border-color: #ccc; */
    border-color: var(--primary-color);
    outline: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.input-group-btn{
    font-size: 14px;
    font-weight: 400;
    line-height: 1;
    color: #555;
    text-align: center;
    background-color: #eee;
    border: 1px solid #ccc;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}
.input-group-btn:hover{
    border-color: var(--tertiary-color);
    background-color: var(--tertiary-color);
    color: var(--white-color);
    outline: none !important;
}
.btn-addon{
    padding: 8px 12px !important;
    background-color: transparent;
    border: 1px solid #eee;
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px;
}

.input-group-btn:hover .btn-addon{
    border-color: var(--tertiary-color);
    background-color: var(--tertiary-color);
    color: var(--white-color);
    outline: none !important;
}


/* Login Button */
.btn{
    padding: 8px 12px;
}
.btn.btn-success {
    width: 100%;
    display: block;
    margin: 10px auto 15px;
    color: var(--white-color);
    border: none;
    text-transform: capitalize;
    background-color: var(--primary-color);
    transition: all 1s ease-out;
}
.btn-success:hover, .btn-success:active {
    background-color: var(--tertiary-color);
    transition: all 1s ease-out;
    -webkit-transition: all 1s ease-out;
    -moz-transition: all 1s ease-out;
    -ms-transition: all 1s ease-out;
    -o-transition: all 1s ease-out;
}

.btn.btn-red.btn-reset{
    width: 180px;
}
.img-block{
    /* background: transparent url(../img/jaime-dantas.jpg) repeat; */
    background-repeat: no-repeat;
    /* background-attachment: fixed; */
    background-position: center; 
    background-size: cover;
    height: 100vh;
    min-height: 700px;
    position: relative;
}
.img-caption{
    color: var(--white-color);
    position: absolute; 
    bottom: 2rem;
    left: 2rem;
}

.img-caption .title{
    font-weight: bold;
}

.img-caption .citation{
    font-size: 1.2rem;
}

.img-caption .citation a{
    color: var(--white-color) !important;
    text-decoration: underline;
}
.img-caption .citation a:hover{
    color: var(--tertiary-color) !important;
    text-decoration: underline;
}

footer{
    background-color: var(--primary-color);
    padding: 2rem;
    text-align: center;
    color: var(--secondary-color);
}
footer > .logo{
    /* padding-top: 10px; */
    padding-bottom: 5px;
}
footer a{
    color: var(--secodary-color);
    text-decoration: underline;
}

footer a:hover, footer a:active{
    transition: all 1s ease-out;
    -webkit-transition: all 1s ease-out;
    -moz-transition: all 1s ease-out;
    -ms-transition: all 1s ease-out;
    -o-transition: all 1s ease-out;
    color: var(--white-color);
    text-decoration: none;
}

/* Mobile Portrait Size to Mobile Landscape Size (devices and browsers)
=================================================================== */
@media only screen and (max-width: 479px) {
    .login-div {
        padding-top: 30px;
        padding-bottom: 50px;
        height: 100vh;
    }
    .login-form{	 
        width: 100%;
    }
    .terms{
        font-size: smaller;
    }
    /*.img-block{
        display: none;
    }*/

}

/* Tablet Portrait Size to Tablet Landscape Size (devices and browsers)
=================================================================== */
@media only screen and (min-width: 480px) and (max-width: 767px){
    .login-div {
        padding-top: 30px;
        padding-bottom: 50px;
    }

}

